#
# Cookbook Name:: Team_Foundation_Server_STD_x64
# Recipe:: default
#
# Copyright (c) 2014 Ryan Irujo, All Rights Reserved.
require 'win32/service'
include_recipe 'iis::mod_auth_basic'
include_recipe 'tfs::install'
include_recipe 'iis'

configurationFile = "#{Chef::Config[:cache_path]}/configbasic.ini"

template "#{configurationFile}" do
  source 'configbasic.ini.erb'
end

# Installing Team Foundation Server Standard.
execute 'Configure Team Foundation Server STD' do
	command "#{node[:PsTools][:exe_path]} -high -u \"#{node[:tfs][:username]}\" -p \"#{node[:tfs][:password]}\" -h -accepteula \"#{node[:tfs][:config_exe_path]}\" unattend /configure /unattendfile:#{configurationFile}"
	retries 5
	retry_delay 240
	not_if {::Win32::Service.exists?("TFSJobAgent")}
end

iis_config "\"Team Foundation Server/tfs\" -section:basicAuthentication /enabled:true" do
	action :set
end
